Page MenuHomePhabricator

Requesting access to deployment and analytics-privatedata-users for jfishback
Closed, ResolvedPublic

Description

Username: jfishback
Full name: James Fishback

Public ssh key:
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOvQPxrbAfdwDNnWroKYoHrSLGgAudhmpRbryJ3Vd6eL jfishback@wikimedia.org

Groups: deployment, analytics-privatedata-users

Reasons:

I'm on the Security-Team and will need access to deploy security patches as well as access to the various log and analytics servers for analyzing security incidents. I've subscribed Security-Team members to this task for any approval concerns.

Event Timeline

sbassett triaged this task as Low priority.May 9 2019, 4:53 PM
sbassett created this task.
sbassett updated the task description. (Show Details)
JFishback_WMF updated the task description. (Show Details)May 9 2019, 7:40 PM

Pinging @JBennett for approval.

JFishback_WMF updated the task description. (Show Details)May 9 2019, 7:43 PM

@greg can you please approve jfishback addition to the deployment group

@Nuria can you please approve jfishback addition to the analytics-privatedata-users group

Thanks

Change 511896 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] admin: convert jfishback to shell user

https://gerrit.wikimedia.org/r/511896

Change 511897 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] admin: add jfishback to analytics-privatedata-users

https://gerrit.wikimedia.org/r/511897

Volans assigned this task to greg.May 22 2019, 2:43 PM
Volans raised the priority of this task from Low to Normal.
Volans added a subscriber: Volans.

In the meanwhile I've sent patches for the conversion to shell access and the analytics-privatedata-users inclusion.
Assigning to @greg for approval for the deployment group.

Change 511896 merged by Volans:
[operations/puppet@production] admin: convert jfishback to shell user

https://gerrit.wikimedia.org/r/511896

I've verified with @JFishback_WMF that basic access works as expected.

Change 511897 merged by Volans:
[operations/puppet@production] admin: add jfishback to analytics-privatedata-users

https://gerrit.wikimedia.org/r/511897

greg removed greg as the assignee of this task.May 23 2019, 10:53 PM
greg added a comment.May 23 2019, 11:03 PM

@greg can you please approve jfishback addition to the deployment group

Approved!

Change 512342 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] admin: add jfishback to deployment group

https://gerrit.wikimedia.org/r/512342

Change 512342 merged by Volans:
[operations/puppet@production] admin: add jfishback to deployment group

https://gerrit.wikimedia.org/r/512342

Volans closed this task as Resolved.May 24 2019, 4:55 PM
Volans claimed this task.
Volans removed a project: Patch-For-Review.

All changes merged, confirmed that James can connect to few hosts.
As per docs added Jfishback to the wmf-deployment group in Gerrit.

Resolving, feel free to re-open if needed.

sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 6:10 PM